apiVersion: v1
kind: Secret
metadata:
  name: {{ include "core-documentconverter.envVars" . }}
  namespace: {{ .Release.Namespace }}
  annotations:
    helm.sh/resource-policy: "keep"
  labels:
    helm.sh/chart: {{ include "ox-common.names.chart" . }}
type: Opaque
data:
  MASTER_ADMIN_USER: {{ ternary (randAlphaNum 8) .Values.adminUser (empty .Values.adminUser) | b64enc | quote }}
  MASTER_ADMIN_PW: {{ ternary (randAlphaNum 32) .Values.adminPassword (empty .Values.adminPassword) | b64enc | quote }}
  OX_BASIC_AUTH_LOGIN: {{ ternary (randAlphaNum 8) .Values.basicAuthLogin (empty .Values.basicAuthLogin) | b64enc | quote }}
  OX_BASIC_AUTH_PASSWORD: {{ ternary (randAlphaNum 32) .Values.basicAuthPassword (empty .Values.basicAuthPassword) | b64enc | quote }}
